<template>
  <v-container>
    <v-card>
      <v-layout justify-center align-center wrap>
        <v-flex xs12 sm11 md9 lg8>
          <v-row>
            <v-col v-for="sponsor in sponsors" :key="sponsor.id" class="d-flex align-center justify-center">
              <v-tooltip bottom nudge-top="40">
                <template v-slot:activator="{ on }">
                  <v-img
                    :src="imgURL(sponsor.logo)"
                    aspect-ratio="1"
                    contain
                    v-on="on"
                    max-height="150"
                    min-height="150"
                    max-width="220"
                    min-width="220"
                  >
                    <template v-slot:placeholder>
                      <v-row class="fill-height ma-0 align-center justify-center">
                        <v-progress-circular indeterminate color="grey lighten-5" />
                      </v-row>
                    </template>
                  </v-img>
                </template>
                <span>{{ sponsor.name }}</span>
              </v-tooltip>
            </v-col>
          </v-row>
        </v-flex>
      </v-layout>
    </v-card>
  </v-container>
</template>
<script>
import Api from '@/mixins/api'
import imgURL from '@/utils/imgURL'
import config from '@/config'

// @group COMPONENTS
export default {
  mixins: [Api],
  computed: {
    /**
     * @vuese
     * Returns sponsors from VueX store
     * @arg -
     */
    sponsors() {
      return this.$store.state.sponsors
    },
  },
  methods: {
    /**
     * @vuese
     * Returns image URL from imgURL component
     * @arg Property logo from object sponsor in sponsors array
     */
    imgURL(path) {
      return imgURL(config.server.ip, path, config.server.port)
    },
  },
  created() {
    /**
     * @vuese
     * Gets sponsors every 60 seconds
     * @arg -
     */
    this.getSponsors()
    setInterval(this.getSponsors, 60000)
  },
}
</script>
